package com.winhc.bigdata.bean.case_no;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @Author: XuJiakai
 * 2023/10/25 16:15
 */
public class CaseNoTitleEntity {
    private List<List<String>> all;
    private List<String> core;

    public List<List<String>> getAll() {
        return all;
    }

    public void setAll(List<List<String>> all) {
        this.all = all;
    }

    public List<String> getCore() {
        return core;
    }

    public void setCore(List<String> core) {
        this.core = core;
    }

    public CaseNoTitleEntity(List<List<String>> all, List<String> core) {
        this.all = new ArrayList<>(Collections.nCopies(all.size(), null));
        Collections.copy(this.all, all);


        this.core = new ArrayList<>(Collections.nCopies(core.size(), null));
        Collections.copy(this.core, core);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;

        if (o == null || getClass() != o.getClass()) return false;

        CaseNoTitleEntity that = (CaseNoTitleEntity) o;

        return new EqualsBuilder().append(all, that.all).append(core, that.core).isEquals();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder(17, 37).append(all).append(core).toHashCode();
    }
}
