package com.winhc.bigdata.bean.case_no;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

import java.util.List;

/**
 * @Author: XuJiakai
 * 2023/10/25 18:02
 */
public class PartyInfo {
    private String title_original;
    private String title_std;
    private Integer show_level;
    private List<LitigantInfo> party_info;

    public PartyInfo() {
    }

    public PartyInfo(String title_original, String title_std, Integer show_level, List<LitigantInfo> party_info) {
        this.title_original = title_original;
        this.title_std = title_std;
        this.show_level = show_level;
        this.party_info = party_info;
    }

    public String getTitle_original() {
        return title_original;
    }

    public void setTitle_original(String title_original) {
        this.title_original = title_original;
    }

    public String getTitle_std() {
        return title_std;
    }

    public void setTitle_std(String title_std) {
        this.title_std = title_std;
    }

    public Integer getShow_level() {
        return show_level;
    }

    public void setShow_level(Integer show_level) {
        this.show_level = show_level;
    }

    public List<LitigantInfo> getParty_info() {
        return party_info;
    }

    public void setParty_info(List<LitigantInfo> party_info) {
        this.party_info = party_info;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;

        if (o == null || getClass() != o.getClass()) return false;

        PartyInfo partyInfo = (PartyInfo) o;

        return new EqualsBuilder().append(title_original, partyInfo.title_original).append(title_std, partyInfo.title_std).isEquals();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder(17, 37).append(title_original).append(title_std).toHashCode();
    }
}
