package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

public class CompanyCase extends UDF {
    // TODO define parameters and return type, e.g:  public String evaluate(String a, String b)
    public String evaluate(String companyId, String ygName, String bgName) {
        String ret = null;

        if (ygName != null && ygName.contains(companyId)) {
            ret = "Y";
        } else if (bgName != null && bgName.contains(companyId)) {
            ret = "B";
        } else {
            ret = "T";
        }
        return ret;
    }


    public String evaluate(String companyId, String ygName, String bgName, String isSuccess) {
        String ret = null;

        if (isSuccess != null) {
            if (ygName != null && ygName.contains(companyId)) {
                if (isSuccess.equals("胜")) {
                    ret = "胜";
                } else if (isSuccess.equals("负")) {
                    ret = "负";
                } else if (isSuccess.equals("平")) {
                    ret = "平";
                } else {
                    ret = "无";
                }
            } else if (bgName != null && bgName.contains(companyId)) {
                if (isSuccess.equals("胜")) {
                    ret = "负";
                } else if (isSuccess.equals("负")) {
                    ret = "胜";
                } else if (isSuccess.equals("平")) {
                    ret = "平";
                } else {
                    ret = "无";
                }
            } else {
                ret = "无";
            }
        } else {
            ret = "无";
        }
        return ret;
    }

    public String evaluate(String case_role, String isSuccess) {
        String ret;
        if (StringUtils.isBlank(isSuccess)) {
            return "无";
        }
        if (case_role.equals("Y")) {
            switch (isSuccess) {
                case "胜":
                    ret = "胜";
                    break;
                case "负":
                    ret = "负";
                    break;
                case "平":
                    ret = "平";
                    break;
                default:
                    ret = "无";
                    break;
            }
        } else if (case_role.equals("B")) {
            switch (isSuccess) {
                case "胜":
                    ret = "负";
                    break;
                case "负":
                    ret = "胜";
                    break;
                case "平":
                    ret = "平";
                    break;
                default:
                    ret = "无";
                    break;
            }
        } else {
            ret = "无";
        }
        return ret;
    }


    public String evaluate(String companyId, String yg_name, String bg_name, String ygLawyer, String bgLawyer) {
        String ret = "";
        if (yg_name != null && yg_name.contains(companyId)) {
            ret = ygLawyer;
        } else if (bg_name != null && bg_name.contains(companyId)) {
            ret = bgLawyer;
        } else {
            ret = "";
        }

        return ret;
    }

    public static void main(String[] args) {
        CompanyCase c = new CompanyCase();
        System.out.println(c.evaluate("Y", "胜"));
        System.out.println(c.evaluate("B", "胜"));
        System.out.println(c.evaluate("B", null));
    }

}