package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Pattern;

/**
 * @Author: XuJiakai
 * @Date: 2020/7/8 11:13
 * @Description:
 */
public class CompanySplit extends UDF {
    private static final Pattern pattern = Pattern.compile("[^\\u4e00-\\u9fa5a-zA-Z \\(\\)（）.]+");

    public List<String> evaluate(String val) {
        return Arrays.asList(StringUtils.isNotBlank(val) ? pattern.split(val) : new String[]{""});
    }
}
