package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringUtils;

import java.util.HashMap;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: id 转 tn 映射
 */
public class Flag2Tn extends UDF {

    public static HashMap<String, String> map = new HashMap<String, String>() {{
        //映射
        put("0", "wenshu_detail_v2");
        put("1", "company_court_open_announcement");
        put("2", "company_court_announcement");
        put("3", "company_dishonest_info");
        put("4", "company_send_announcement");
        put("5", "company_zxr_restrict");
        put("6", "company_zxr_final_case");
        put("7", "company_zxr");
        put("8", "company_court_register");
    }};

    public String evaluate(String tn) {
        if (StringUtils.isBlank(tn)) return null;
        if (map.containsKey(tn)) {
            return map.get(tn);
        }
        return null;
    }

    public static void main(String[] args) {
        String s = "0";
        Flag2Tn t = new Flag2Tn();
        System.out.println(t.evaluate(s));
    }
}


