package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * @author: XuJiakai
 * 2021/3/8 17:01
 */
public class NameFilter extends UDF {
    public List<String> evaluate(String flag, String... val) {
        if (flag.equals("company")) {

            return Stream.of(val).filter(Objects::nonNull).map(String::trim).filter(str -> str.length() > 5).collect(Collectors.toList());
        }
        if (flag.equals("person")) {
            return Stream.of(val).filter(Objects::nonNull).map(String::trim).filter(str -> str.length() <= 5).collect(Collectors.toList());
        }
        return null;
    }


    public List<String> evaluate(String flag, List<String> val) {
        if(val==null){
            return null;
        }
        if (flag.equals("company")) {
            return val.stream().filter(Objects::nonNull).map(String::trim).filter(str -> str.length() > 5).collect(Collectors.toList());
        }
        if (flag.equals("person")) {
            return val.stream().filter(Objects::nonNull).map(String::trim).filter(str -> str.length() <= 5).collect(Collectors.toList());
        }
        return null;
    }
}
