package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Description: 文书原被告判断
 */
public class NameJudge extends UDF {

    public String evaluate(String name,String yg_name,String bg_name) {
        if(StringUtils.isNotBlank(name)){
            if(StringUtils.isNotBlank(yg_name)&&yg_name.contains(name)){
                return "y";
            }else if(StringUtils.isNotBlank(bg_name)&&bg_name.contains(name)){
                return "b";
            }
        }
        return "";
    }

    public static void main(String[] args) {
        String res = new NameJudge().evaluate("中国农业银行股份有限公司化州市支行", "魏贤永\n" +
                "马亚燕\n" +
                "魏国民\n" +
                "钟红辉\n" +
                "魏亚德\n" +
                "陈裕梅", null);
        System.out.println(res);
    }
}
