package com.winhc.bigdata.udf;

import cn.hutool.core.convert.Convert;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

/**
 * @author: XuJiakai
 * 2021/6/1 11:24
 */
public class ReplaceChinese2English extends UDF {
    public String evaluate(String val) {
        if (StringUtils.isEmpty(val)) {
            return null;
        }
        val = Convert.toDBC(val).trim();
        val = val.replace("，", ",")
                .replace("（", "(")
                .replace("）", ")")
                .replace("。", ".")
                .replace("；", ";")
                .replace("！", "!")
                .replace("？", "?")
                .replace("：", ":")
                .replace("＂", "\"")
                .replace("“", "\"")
                .replace("”", "\"");
        return val;
    }
}
