package com.winhc.bigdata.udf.biz;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

/**
 * @author: XuJiakai
 * 2021/10/18 16:20
 */
public class BinlogParse extends UDF {
    public String evaluate(String data, String type, String field, String new_or_old) {
        if (StringUtils.isEmpty(data)) {
            return null;
        }
        JSONArray array = JSON.parseArray(data);
        if (array.isEmpty()) {
            return null;
        }
        JSONObject jsonObject = array.getJSONObject(0);

        String key = field.toUpperCase();
        if (jsonObject.containsKey(key)) {
            String string = jsonObject.getString(key);
            return string;
        } else {
            return null;
        }
    }
}
