package com.winhc.bigdata.udf.biz;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.List;

/**
 * @author: XuJiakai
 * 2021/10/18 17:00
 */
public class BinlogParsePk extends UDF {
    public String evaluate(String data, String pk) {
        if (StringUtils.isEmpty(data)) {
            return null;
        }
        JSONArray array = JSON.parseArray(data);
        JSONObject jsonObject = array.getJSONObject(0);
        List<String> list = ((List<String>) JSON.parseObject(pk, List.class));
        StringBuilder sb = new StringBuilder();

        for (String s : list) {
            sb.append(jsonObject.getString(s));
        }
        return sb.toString();
    }
}
