package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.utils.CompanyUtils;

/**
 * @Author: π
 * @Description: 公司名转换
 */
public class cnameTrans extends UDF {

    public String evaluate(String name) {
        return JSONObject.toJSONString(CompanyUtils.getCompanyName(name));
    }

    public static void main(String[] args) {
        System.out.println(new cnameTrans().evaluate("廣滙亞太有限公司"));
        System.out.println(new cnameTrans().evaluate(null));
    }

}


