package com.winhc.bigdata.udf.etl;

import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.utils.CompanyUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2022/3/7 11:34
 */
public class CompanyPhoneAndOther extends UDF {
    public List<String> evaluate(String content) {
        List<String> phones = CompanyUtils.spiltNames(content);
        if(phones.isEmpty()) return null;
        String first_phone = "";
        List<String> phone = phones.stream().filter(x -> x.length() == 11).collect(Collectors.toList());
        if(phone.isEmpty()){
            first_phone = phones.get(0);
        }else {
            first_phone= phone.get(0);
        }
        phones.remove(first_phone);
        ArrayList<String> reList = new ArrayList();
        reList.add(first_phone);
        reList.add(String.join("；", phones));

        return reList;
    }

    public static void main(String[] args) {
        //String con = "13611541063\t;\t18916678888\t;\t0527-83626688\t;\t";
        //String con = "0527-83626688\t;\t13855951234";
        String con = "";
        CompanyPhoneAndOther c = new CompanyPhoneAndOther();
        System.out.println(c.evaluate(con));
    }
}
