package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class get_legal_v3 extends UDF {

    public String evaluate(String json) {
        if (StringUtils.isBlank(json) || "[]".equalsIgnoreCase(json)) return null;
        List<JSONObject> list = JSON.parseArray(json).toJavaList(JSONObject.class);
        List<String> re = list.stream().filter(x -> "0".equalsIgnoreCase(x.getString("deleted"))).map(x -> x.getString("name"))
                .filter(org.apache.commons.lang3.StringUtils::isNotBlank).distinct().collect(Collectors.toList());
        return JSON.toJSONString(re);
    }


    public static void main(String[] args) {
        get_legal_v3 j = new get_legal_v3();
        String json = "[{\"name\":\"冯金元111\",\"id\":\"pbc6c4f933e85850d1c401509877671b0\",\"type\":1,\"deleted\":0},{\"name\":\"冯金元\",\"id\":\"pbc6c4f933e85850d1c401509877671b0\",\"type\":1,\"deleted\":1},{\"name\":\"冯金元2\",\"id\":\"pbc6c4f933e85850d1c401509877671b0\",\"type\":1,\"deleted\":0}]";
        String evaluate = j.evaluate(json);
        System.out.println(evaluate);
    }

}
