package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;

import java.util.*;
import java.util.concurrent.atomic.AtomicReference;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class judge_number extends UDF {

    public Boolean evaluate(Long amount, Integer count) {
        if (amount == null || amount <= 0) {
            return false;
        }

        String[] split = amount.toString().split("");

        if (split.length <= 3) {
            return false;
        }

        Map<String, Integer> map = new HashMap<>();

        AtomicReference<String> maxKey = new AtomicReference<>("");
        AtomicReference<Integer> maxCount = new AtomicReference<>(0);
        AtomicReference<String> lastKey = new AtomicReference<>("");
        //记录每个元素出现的次数
        Arrays.stream(split).forEach(s -> {
            if (map.containsKey(s)) {
                if (lastKey.get().equals(s)) {
                    int tmp_count = map.get(lastKey.get()) + 1;
                    if (tmp_count > maxCount.get()) {
                        maxCount.set(tmp_count);
                        maxKey.set(lastKey.get());
                    }
                    map.put(lastKey.get(), tmp_count);
                } else {
                    lastKey.set(s);
                    map.put(s, 1);
                }
            } else {
                lastKey.set(s);
                map.put(s, 1);
                //第一次
                if (lastKey.get().equals("")) {
                    maxKey.set(s);
                    maxCount.set(1);
                }

            }
        });

        System.out.println(maxKey.get() + "----" + maxCount.get() + "----" + lastKey.get());

        if (lastKey.get().equals("0") || count >= maxCount.get()) {
            return false;
        }
        return true;

    }

    public static void main(String[] args) {
        judge_number j = new judge_number();
        System.out.println(j.evaluate(19992252299999L, 3));
        System.out.println(j.evaluate(100000100200L, 3));
        System.out.println(j.evaluate(1000001002001L, 3));

    }

}
