package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringUtils;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.HashMap;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: id 转 tn 映射
 */
public class row_sort extends UDF {

    public String evaluate(String r1,String r2) {
        ArrayList<String> list = new ArrayList<>();
        list.add(r1);
        list.add(r2);
        list.sort(Comparator.naturalOrder());
        return list.toString();
    }

    public static void main(String[] args) {
        row_sort row_sort = new row_sort();
        System.out.println(row_sort.evaluate("xdfdas",null));
        System.out.println(row_sort.evaluate("yyyy","xdfdas"));
    }
}


