package com.winhc.bigdata.udf.string;

import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.utils.CompanyUtils;

import java.util.Arrays;

/**
 * @Author: XuJiakai
 * @Date: 2023/6/30 10:08
 * @Description: 去除特殊字符后，按字符排序
 * <p>
 * cleanup_sort
 */
public class CleanupSort extends UDF {


    public String evaluate(String val) {
        if (val == null) {
            return null;
        }
        String cleanup = CompanyUtils.cleanup(val);
        char[] chars = cleanup.toCharArray();
        Arrays.sort(chars);
        return String.valueOf(chars);
    }

}
