package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: type 字段规整
 */
public class trans_type extends UDF {

    public String evaluate(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        if (type.contains(" ")) {
            String[] ts = type.split(" ");
            if (ts.length >= 2) return ts[1];
            return null;
        }
        return type;
    }

    public static void main(String[] args) {
        trans_type g = new trans_type();
        System.out.println(g.evaluate("F 美术 xx"));
        System.out.println(g.evaluate(" 美术"));
        System.out.println(g.evaluate("  "));
    }
}


