package com.winhc.bigdata.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.winhc.bigdata.bean.case_no.CaseNoRegionInfoEntity;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author: XuJiakai
 * 2023/11/6 9:57
 */
public class CaseNoRegionUtils {

    public static Map<String, CaseNoRegionInfoEntity> getCaseNoRegionInfo() {
        Map<String, CaseNoRegionInfoEntity> map = new HashMap<>();
        String s = BaseUtils.readeResourceFile("court_keyword_region.json");
        JSONObject jsonObject = JSON.parseObject(s);
        for (String key : jsonObject.keySet()) {
            CaseNoRegionInfoEntity caseNoRegionInfoEntity = jsonObject.getObject(key, CaseNoRegionInfoEntity.class);
            map.put(key, caseNoRegionInfoEntity);
        }
        return map;
    }
}
