package com.winhc.bigdata.bean.case_no;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

/**
 * @Author: XuJiakai
 * 2023/10/25 17:59
 */
public class LitigantInfo {
    private String litigant_id;
    private String name;

    public LitigantInfo(String litigant_id, String name) {
        this.litigant_id = litigant_id;
        this.name = name;
    }

    public LitigantInfo() {
    }

    public String getLitigant_id() {
        return litigant_id;
    }

    public void setLitigant_id(String litigant_id) {
        this.litigant_id = litigant_id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;

        if (o == null || getClass() != o.getClass()) return false;

        LitigantInfo litigantInfo = (LitigantInfo) o;

        return new EqualsBuilder().append(litigant_id, litigantInfo.litigant_id).append(name, litigantInfo.name).isEquals();
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder(17, 37).append(litigant_id).append(name).toHashCode();
    }
}
