package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Description:包含公司
 */
public class ContainCompany extends UDF {

    public Boolean evaluate(String name) {
        if (StringUtils.isNotBlank(name)) {
            List<String> list = Arrays.asList(name.split(",")).stream().filter(x -> x.length() > 4).collect(Collectors.toList());
            if (list.size() > 0) {
                return true;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

    public static void main(String[] args) {
        Boolean eval = new ContainCompany().evaluate("");
        System.out.println(eval);
    }
}
