package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 包含字符
 */
public class ContainOtherChar extends UDF {
    private static final Pattern pattern = Pattern.compile("[\\u4e00-\\u9fa5,]");

    public Boolean evaluate(String val) {
        if(StringUtils.isBlank(val)) return false;
        String s1 = pattern.matcher(val).replaceAll("");
        return s1.length() > 0;
    }

    public static void main(String[] args) {
        ContainOtherChar res = new ContainOtherChar();
        System.out.println(res.evaluate("中国，人123,za.早上5"));
        System.out.println(res.evaluate("高管"));
    }
}
