package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringEscapeUtils;
import org.apache.commons.lang3.StringUtils;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class Content2Csv extends UDF {

    public String evaluate(String content) {
        if (StringUtils.isBlank(content)) return null;
        return StringEscapeUtils.escapeCsv(content);
    }


    public static void main(String[] args) {
        Content2Csv j = new Content2Csv();
        System.out.println(j.evaluate("1997,Ford,E350,\"Super, luxurious truck\""));
        System.out.println(j.evaluate("遂昌县金竹镇茶竹岭村股,份经济合作社"));
    }

}
