package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringEscapeUtils;
import org.apache.commons.lang3.StringUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class CsvTrans extends UDF {


    public String evaluate(String code) {
        if (StringUtils.isBlank(code)) {
            return "";
        }
        return StringEscapeUtils
                .escapeCsv(code);
    }

    public static void main(String[] args) {
        CsvTrans j = new CsvTrans();
        System.out.println(j.evaluate("I said \"Hey, I am 5'10\".\"\n.,,你好"));
        System.out.println(j.evaluate("111,222,333"));
        System.out.println(j.evaluate(""));

    }

}
