package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.google.gson.JsonElement;
import com.google.gson.JsonParser;

/**
 * @author: XuJiakai
 * 2021/2/24 15:02
 */
public class IsJsonStr extends UDF {
    public Boolean evaluate(String val) {
        JsonElement jsonElement;
        try {
            jsonElement = new JsonParser().parse(val);
        } catch (Exception e) {
            return false;
        }
        if (jsonElement == null) {
            return false;
        }
        return true;
    }
}
