package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2020/12/16 16:06
 */
public class Json2Str extends UDF {

    public String evaluate(String json, String splter) {
        if (StringUtils.isBlank(json)) return null;
        return String.join(splter, JSON.parseArray(json).toJavaList(String.class));
    }
}
