package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONPath;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author: π
 * 2021/4/12 16:57
 */
public class Str2Json extends UDF {
    public List<String> evaluate(String case_no) {

        if (StringUtils.isBlank(case_no)) {
            return Arrays.asList("0",null);
        }
        try {
            JSON.parseArray(case_no);
            return Arrays.asList("0",case_no);
        } catch (Exception e) {
            //e.printStackTrace();
        }
        return Arrays.asList("1",JSON.toJSONString(case_no.split("\n")));

    }

    public static void main(String[] args) {
        Str2Json j = new Str2Json();
        System.out.println(j.evaluate("(2021)鄂0104民初3635号\n(2021)鄂0104民初3634号"));
        System.out.println(j.evaluate("[\"(2019)晋0525民初523号\",\"(2019)晋0525民初524号\"]"));
        System.out.println(j.evaluate(null));
    }

}
