package com.winhc.bigdata.udf;


import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringUtils;

/**
 * @author ZhangJi
 * @since 2022-04-13 18:39
 */
public class StringAnyContains extends UDF {
    public Boolean evaluate(String val,String... args) {
        if(StringUtils.isEmpty(val))return false;
        if(args==null||args.length==0) {
            return false;
        }
        for(String arg:args) {
            if(arg!=null&&val.contains(arg)) {
                return true;
            }
        }
        return false;
    }

    public static void main(String[] args) {
        StringAnyContains udf=new StringAnyContains();


    }
}
