package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @author ZhangJi
 * @since 2022-09-28 08:22
 */
public class StringContainHtmlTag extends UDF {
    private static final Pattern html_p = Pattern.compile("<[^>]+>");
    public Boolean evaluate(String val) {
        if (StringUtils.isEmpty(val)) return false;
        return html_p.matcher(val).find();
    }

    public static void main(String[] args) {
        StringContainHtmlTag a = new StringContainHtmlTag();
        System.out.println(a.evaluate("<b>工商登记联络人：</b><br>备案日期:20220121,null:1,null:,邮政编码:361000,null:,性别:男性,null:,null:,null:,null:,null:,姓名:李议麟<br><b>企业基本信息：</b>"));

    }
}
