package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.aliyun.odps.udf.UDF;

import java.util.HashMap;
import java.util.Map;

/**
 * @author: XuJiakai
 * 2021/7/6 15:07
 */
public class ToJson extends UDF {
    public String evaluate(Integer size, String... other) {
        if (other.length != size * 2) {
            throw new RuntimeException("输入和size无法对应");
        }
        Map<String, String> map = new HashMap<>(size);
        for (int i = 0; i < other.length / 2; i++) {
            map.put(other[i], other[i + size]);
        }
        return JSONObject.toJSONString(map, SerializerFeature.WriteMapNullValue);
    }

    public static void main(String[] args) {
        ToJson toJson = new ToJson();
        System.out.println(toJson.evaluate(2,"a","b","c","d"));
    }
}
