package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2021/6/11 17:26
 */
public class ToOrdinalStr extends UDF {
    public String evaluate(String str, String... other) {
        List<String> list = new ArrayList<>();
        list.addAll(Arrays.asList(other));
        list.add(str);
        return list.stream()
                .filter(StringUtils::isNotBlank)
                .sorted()
                .collect(Collectors.joining());
    }
}
