package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;
import org.apache.commons.lang3.StringEscapeUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 去除标签
 */
public class TrimLable extends UDF {
    public static final Pattern compile = Pattern.compile("<?[^<>]+>");

    public String evaluate(String text) {
        if (StringUtils.isBlank(text)) return text;
        return StringEscapeUtils.unescapeHtml4(compile.matcher(text).replaceAll("")).replaceAll("\\s*","");
    }

    public static void main(String[] args) {
        TrimLable res = new TrimLable();
        System.out.println(res.evaluate("<xx> 张 三 &nb sp"));
        System.out.println(res.evaluate("< 高 管xx  yyxx  ><>"));
    }
}
