package com.winhc.bigdata.udf.array;

import com.aliyun.odps.udf.UDF;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2021/8/24 15:57
 */
public class ArrayDistinct extends UDF {
    public List<String> evaluate(List<String> content) {
        if (content == null || content.isEmpty()) {
            return null;
        }
        return content.stream().distinct().collect(Collectors.toList());
    }
}
