package com.winhc.bigdata.udf.company;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

/**
 * @author: XuJiakai
 * 2022/7/26 17:34
 *
 * credit_code_verify
 */
public class CreditCodeVerify extends UDF {
    /**
     * @param val
     * @return true 合法
     */
    public Boolean evaluate(String val) {
        return StringUtils.isNotBlank(val) && val.length() == 18 && val.charAt(0) == '9';
    }
}
