package com.winhc.bigdata.udf.etl;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.text.DecimalFormat;

/**
 * @author: XuJiakai
 * 2022/3/18 15:21
 * amount_format
 */
public class AmountFormat extends UDF {
    private static final DecimalFormat df = new DecimalFormat("00.00");

    public String evaluate(String content) {
        if (StringUtils.isBlank(content)) {
            return null;
        }
        try {
            double v = Double.parseDouble(content);
            return df.format(v);
        } catch (Exception e) {
            return content;
        }
    }
}
