package com.winhc.bigdata.udf.etl;

import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.utils.CompanyUtils;

import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2021/12/6 11:35
 * split_company_mobile_phone
 */
public class CompanyPhonesFilterSplit extends UDF {
    private static final Pattern pattern = Pattern.compile("1[0-9]{10}");
    public List<String> evaluate(String content) {
        List<String> strings = CompanyUtils.spiltNames(content);
        return strings.stream().filter(c -> {
            Matcher matcher = pattern.matcher(c);
            return matcher.matches();
        }).collect(Collectors.toList());
    }

    public static void main(String[] args) {
        CompanyPhonesFilterSplit companyPhonesFilterSplit = new CompanyPhonesFilterSplit();
        List<String> evaluate = companyPhonesFilterSplit.evaluate("1853736690");

        System.out.println(evaluate);
    }
}
