package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringUtils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: url 提取
 */
public class get_url2 extends UDF {



    public String evaluate(String url) {
        if (StringUtils.isBlank(url)) {
            return "";
        }
        String re = "";
        try {
            int i = url.indexOf("/", 8);
            re = url.substring(0, i + 1);
        } catch (Exception e) {
            return "";
        }
        return re;
    }

    public static void main(String[] args) {
        String str1 = "http://ssfw.zqdhfy.gov.cn/ktxx.aspx?cateId=15";
        String str2 = "https://lnsfw.lnsfy.gov.cn//lawsuit/api/case-center/v1/third/court/external/getCourtAnnouncementInfo";
        String str = "http://171.106.48.55:8899/legalsystem/ReportServer?_=1591608844498&__boxModel__=true&op=page_content&sessionID=1414&pn=779";
        get_url2 dd = new get_url2();
        System.out.println(dd.evaluate(str));
        System.out.println(dd.evaluate(str1));
        System.out.println(dd.evaluate(str2));

    }
}
