package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Description: 替换分割符
 */
public class replace_delimiter extends UDF {

    public String evaluate(String val) {
        if (StringUtils.isNotBlank(val)) {
            String res = val.replaceAll("、", ",")
                    .replaceAll(";", ",")
                    .replaceAll("，", ",")
                    .replaceAll(" ", ",")
                    .replaceAll("。", ",")
                    .replaceAll("；", ",")
                    .replaceAll("：", ",")
                    .replaceAll("\\s+", ",");
            return res;
        }else{
            return "";
        }
    }

    public static void main(String[] args) {
        String res = new replace_delimiter().evaluate("2015）深南法蛇民初第883-887受理郑委,曹   连云,庄忠杰,曹元洪,曹硕");
        System.out.println(res);
        String res1 = new replace_delimiter().evaluate("宜城兴荣民族塑料制品有限公司、屈万英（公民身份号码：**************504X）、何秋实（公民身份号码：**************0055）、曾娟娟（公民身份号码：**************0040）、王琴（公民身份号码：**************5523）、丁国红（公民身份号码：**************2016）");
        System.out.println(res1);
    }
}
