package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;
import com.google.gson.Gson;

import java.util.HashMap;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 字符串包含关系
 */
public class str_contain extends UDF {

    public Boolean evaluate(String full_str, String str) {
        if (StringUtils.isBlank(full_str) || StringUtils.isBlank(str)) return false;
        return full_str.contains(str);
    }

    public static void main(String[] args) {
        System.out.println(new str_contain().evaluate("abccfdgd", "cfdg"));
    }
}


