package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.google.gson.Gson;
import java.util.HashMap;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 字符串转json
 */
public class str_json extends UDF {

    public String evaluate(String keys, String values, String split) {
        HashMap<String, String> m1 = new HashMap<>();
        Gson gson = new Gson();
        String[] k1 = keys.split(split,-1);
        String[] v1 = values.split(split,-1);
        for (int i = 0; i <= k1.length - 1; i++) {
            m1.put(k1[i], v1[i]);
        }
        return gson.toJson(m1);
    }

    public static void main(String[] args) {
        String keys = "name@@litigant_id";
        String values = "fontface=\"宋体\">\\<fontface=\"宋体\">张文亮</font></font@@123456";
        //String values = "@@";
        System.out.println(new str_json().evaluate(keys, values, "@@"));
    }
}


