package com.winhc.bigdata.bean;


import java.util.List;

/**
 * @author: XuJiakai
 * 2022/1/19 10:21
 */
public class AreaCodeTreeVo {
    private String label;
    private String value;

    private List<AreaCodeTreeVo> children;

    public AreaCodeTreeVo(String label, String value) {
        this.label = label;
        this.value = value;
    }

    public AreaCodeTreeVo(String label, String value, List<AreaCodeTreeVo> children) {
        this.label = label;
        this.value = value;
        this.children = children;
    }


    @Override
    public String toString() {
        if (children == null) {
            return "{" +
                    "\"label\":\"" + label + "\"," +
                    "\"value\":\"" + value + "\"" +
                    '}';
        } else
            return "{" +
                    "\"label\":\"" + label + "\"," +
                    "\"value\":\"" + value + "\"," +
                    "\"children\":" + children.toString() + "" +
                    '}';
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public List<AreaCodeTreeVo> getChildren() {
        return children;
    }

    public void setChildren(List<AreaCodeTreeVo> children) {
        this.children = children;
    }
}
